std::__fwdlist::_Node_base< _VoidPtr >(3cxx)

NAME
std::__fwdlist::_Node_base< _VoidPtr > - The node-base type for allocators that use fancy pointers.

SYNOPSIS

#include <forward_list>

  Public Types

using _Base_ptr

  Public Member Functions

_Node_base (_Node_base &&__x) noexcept
_Node_base (const _Node_base &)=delete
_Base_ptr _M_base_ptr () const
void _M_reverse_after () noexcept
_Base_ptr _M_transfer_after (_Base_ptr __begin, _Base_ptr __end) noexcept
_Node_base & operator= (_Node_base &&__x) noexcept
_Node_base & operator= (const _Node_base &)=delete

  Public Attributes

_Base_ptr _M_next

Detailed Description

  template<typename _VoidPtr>
struct std::__fwdlist::_Node_base< _VoidPtr >"The node-base type for allocators that use fancy pointers.

Author

Generated automatically by Doxygen for libstdc++ from the source code.